import request from '@/utils/request'

// list
export function getEssayList(query) {
  return request({
    url: '/shian/check/list',
    method: 'get',
    params:query
  })
}

// export
export function exportEssay(query) {
    return request({
        url: '/shian/check/export',
        method: 'get',
         params:query
    })
}

// DELETE
export function deleteEssay(ids) { 
    return request({
        url: `/shian/check/${ids}`,
        method:'DELETE'
    })
}

// info
export function getinfo(id) { 
    return request({
        url: `/shian/check/${id}`,
        method:'get'
    })
}

// add
export function addEssay(data) { 
    return request({
        url: '/shian/check',
        method: 'post',
        data
    })
}

// update
export function updataEssay(data) { 
    return request({
        url: '/shian/check',
        method:'put',
        data
    })
}
export function downloadCheck() { 
  return request({
        url: '/shian/check/importTemplate',
        method:'get',
    })
}